function ready(fn) {
  if (document.readyState != 'loading'){
    fn();
  } else {
    document.addEventListener('DOMContentLoaded', fn);
  }
}

ready(function () {
  var trigger = document.getElementById('js-trigger'),
    overlay = document.getElementById('js-dialog'),
    close = document.getElementById('js-close');
  
  
  trigger.onclick = function(e) {
    e.preventDefault();

    displayModal(true, trigger, overlay);
  };
  close.onclick = function(e) {
    e.preventDefault();

    displayModal(false, trigger, overlay);
  }
});

function displayModal(state, trigger, overlay) {
  if (state) {
    overlay.showModal();
    trigger.classList.add('hide');
  } else {
    overlay.close();
    trigger.classList.remove('hide');
  }
}